Name:		otpclient
Version:	3.6.0
Release:	1%{?dist}
Summary:	Highly secure and easy to use GTK+ OTP client (TOTP and HOTP)

License:	GPL-3.0-or-later
URL:		https://github.com/paolostivanin/OTPClient
Source0:	https://github.com/paolostivanin/OTPClient/archive/OTPClient-%{version}.tar.gz
Patch0:         otpclient-fedora.patch

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	libcotp-devel       >= 2.0.0
BuildRequires:	libgcrypt-devel     >= 1.6.0
BuildRequires:	libpng-devel        >= 1.2.0
BuildRequires:	zbar-devel          >= 0.20
BuildRequires:	jansson-devel       >= 2.6.0
BuildRequires:	glib2-devel         >= 2.50
BuildRequires:	gtk3-devel          >= 3.22
BuildRequires:	libzip-devel        >= 1.0.0
BuildRequires:  protobuf-devel      >= 3.6
BuildRequires:  protobuf-c-devel    >= 1.3.0
BuildRequires:  libuuid-devel       >= 2.34.0
BuildRequires:  libsecret-devel     >= 0.20.0
BuildRequires:  qrencode-devel      >= 4.0.2

Requires:	libcotp	            >= 2.0.0
Requires:	libgcrypt           >= 1.6.0
Requires:	gtk3                >= 3.22
Requires:	glib2               >= 2.50
Requires:	jansson             >= 2.6.0
Requires:	libpng	            >= 1.2.0
Requires:	zbar                >= 0.20
Requires:	libzip              >= 1.0.0
Requires:       protobuf            >= 3.6
Requires:       protobuf-c          >= 1.3.0
Requires:       libuuid             >= 2.34.0
Requires:       libsecret           >= 0.20.0
Requires:       qrencode            >= 4.0.2

%description
Highly secure and easy to use GTK+ software for two-factor authentication that supports both Time-based One-time Passwords (TOTP) and HMAC-Based One-Time Passwords (HOTP)

%prep
%autosetup -n OTPClient-%{version}

%build
%cmake
%cmake_build

%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

%files
%{_bindir}/otpclient
%{_datadir}/applications/com.github.paolostivanin.OTPClient.desktop
%{_iconsdir}/hicolor/scalable/apps/com.github.paolostivanin.OTPClient.svg
%{_datadir}/metainfo/com.github.paolostivanin.OTPClient.appdata.xml
%{_datadir}/otpclient/otpclient.ui
%{_datadir}/otpclient/shortcuts.ui
%{_datadir}/otpclient/add_popover.ui
%{_datadir}/otpclient/settings_popover.ui
%{_bindir}/otpclient-cli
%{_iconsdir}/hicolor/scalable/apps/com.github.paolostivanin.OTPClient-symbolic.svg
%{_mandir}/man1/otpclient-cli.1.gz
%{_mandir}/man1/otpclient.1.gz

%license LICENSE
%doc README.md

%changelog
* Fri Mar 17 2023 Thomas Sailer <fedora@tsailer.ch> 3.1.5-1
- update to 3.1.5

* Mon Oct 10 2022 Thomas Sailer <fedora@tsailer.ch> 2.6.3-1
- update to 2.6.3

* Tue Oct 05 2021 Thomas Sailer <fedora@tsailer.ch> 2.4.4-1
- update to 2.4.4

* Sat Nov 14 2020 Detlef Graef <detlef.graef [at] gmx.de> 2.3.2-1
- Ver. 2.3.2

* Mon Aug 12 2019 Detlef Graef <detlef.graef [at] gmx.de> 1.2.2-1
- Initial version
